﻿using System.Windows;
using System.Windows.Controls;
using Infragistics.Windows.DataPresenter;

namespace ButtonTest
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        private Field field;
        public Window1()
        {
            InitializeComponent();
            field = TestGrid.FieldLayouts[0].Fields[TestGrid.FieldLayouts[0].Fields.Count - 1];
            field.Visibility = Visibility.Collapsed;
        }

        private void ExtendedButton_Click(object sender, RoutedEventArgs e)
        {
            ChangeButtonContent((ExtendedButton)sender);
            ResetVisibility();
        }

        private void ResetVisibility()
        {
            if (field.Visibility == Visibility.Collapsed)
            {
                field.Visibility = Visibility.Visible;
            }
            else
            {
                field.Visibility = Visibility.Collapsed;
            }
        }

        private void ChangeButtonContent(ExtendedButton button)
        {

            button.IsExtended = !button.IsExtended;


        }
    }


    public class ExtendedButton : Button
    {
        public static readonly DependencyProperty IsExtendedProperty = DependencyProperty.Register("IsExtended", typeof(bool),
                                                                                    typeof(ExtendedButton));


        public bool IsExtended
        {
            get { return (bool)GetValue(IsExtendedProperty); }
            set
            {
                SetValue(IsExtendedProperty, value);

            }
        }

    }
}
